<?php

namespace CouponsPlus\App\Coupon\Tree\Factories;

use CouponsPlus\App\Coupon\Abilities\CouponModel;
use CouponsPlus\App\Coupon\Coupon;
use CouponsPlus\App\Coupon\TreeCouponModel;
use CouponsPlus\App\Coupon\Tree\Abilities\CouponModelFactory;

class TreeCouponModelFactory implements CouponModelFactory
{
    public function getModelType(): string
    {
        return TreeCouponModel::TYPE;
    } 

    public function create(Coupon $coupon): CouponModel
    {
        return new TreeCouponModel($coupon);
    } 
}